Microsoft Edge (chromium) < 104.0.1293.63の複数の脆弱性

high Nessus プラグイン ID 164293

概要

リモートホストに、複数の脆弱性の影響を受ける Web ブラウザがインストールされています。

説明

リモートの Windows ホストにインストールされている Microsoft Edge のバージョンは、104.0.1293.63 より前です。したがって、2022 年 8 月 19 日のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- FedCM のメモリ解放後使用 (Use After Free)。(CVE-2022-2852)

- ダウンロードのヒープバッファオーバーフロー。(CVE-2022-2853)

- SwiftShader でのメモリ解放後使用 (use-after-free)。(CVE-2022-2854)

- ANGLE でのメモリ解放後使用 (use-after-free)。(CVE-2022-2855)

- Blink のメモリ解放後使用 (Use After Free)。(CVE-2022-2857)

- Sign-In Flow におけるメモリ解放後使用 (Use After Free)。(CVE-2022-2858)

- Cookies での不十分なポリシー実施。(CVE-2022-2860)

- Extensions API での不適切な実装。(CVE-2022-2861)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Microsoft Edge をバージョン 104.0.1293.63以降にアップグレードしてください。

関連情報

http://www.nessus.org/u?4ce23d54

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2852

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2853

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2854

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2855

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2857

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2858

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2860

https://msrc.microsoft.com/update-guide/vulnerability/CVE-2022-2861

プラグインの詳細

深刻度: High

ID: 164293

ファイル名: microsoft_edge_chromium_104_0_1293_63.nasl

バージョン: 1.4

タイプ: local

エージェント: windows

ファミリー: Windows

公開日: 2022/8/19

更新日: 2022/10/21

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: Critical

Base Score: 10

Temporal Score: 7.8

ベクトル: AV:N/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:POC/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-2858

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.9

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:microsoft:edge

必要な KB アイテム: installed_sw/Microsoft Edge (Chromium), SMB/Registry/Enumerated

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/8/19

脆弱性公開日: 2022/8/16

参照情報

CVE: CVE-2022-2852, CVE-2022-2853, CVE-2022-2854, CVE-2022-2855, CVE-2022-2857, CVE-2022-2858, CVE-2022-2860, CVE-2022-2861